bool smaller(int x);

int find_number(int MAX) {
    int l = 1, r = MAX;
    int ans = MAX;
    while (l <= r) {
        int mid = (l + r) / 2;
        if (smaller(mid)) r = mid - 1;
        else {ans = mid; l = mid + 1;}
    }
    return ans;
}